
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>如何部署Samba服务 / 憋错料</title>

    <meta name="description" content="如何部署Samba服务 一.samba存在的意义 有时为了方便windows与linux虚拟机之间的文件共享,我们一般用SAMBA服务来解决,有人会问,VMTool不是可以直接设置share folder吗?但是用到比较大的工程时复制来复制去的耗时很多或者我们想偷懒直接就在共享目录编译而不影响(要知道windows和linux的文件系统是不同的),samba是非常适合的解决方法. 二.安装并启动samba服务 1)使用yum来安装Samba yum -y install samba* 2)启动并检查服务是否启动 ser">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">如何部署Samba服务</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>一、samba存在的意义</strong></p>
<p>有时为了方便windows与linux虚拟机之间的文件共享，我们一般用SAMBA服务来解决，有人会问，VMTool不是可以直接设置share&nbsp;folder吗？但是用到比较大的工程时复制来复制去的耗时很多或者我们想偷懒直接就在共享目录编译而不影响（要知道windows和linux的文件系统是不同的），samba是非常适合的解决方法。</p>
<p><strong>二、安装并启动samba服务 </strong></p>
<p>1)使用yum来安装Samba</p>
<p>yum -y install samba*</p>
<p>2)启动并检查服务是否启动</p>
<p>service smb start</p>
<p>service nmb start</p>
<p>ss -tnl #查看是否启动了137,138的udp端口，及139，445的tcp端口</p>
<p>3)设置一个共享用户</p>
<p>smbpasswd -a alren</p>
<p>setfacl -m u:alren:rw /home/alren</p>
<p>4)在windows里面找到网络共享即可查看到相应的主机名，点击进行登录</p>
<p>图示：</p>
<p><strong></strong></p>
<hr />
<br /><strong><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODcvNDYvd0tpb0wxZmFXUl95RnNqc0FBQXkzQzRKNE5zNTA2LnBuZw==.jpg" /></strong></p>
<p><strong>三、新建一个共享文件系统，实现共享 &nbsp;&nbsp;</strong></p>
<p>1)创建共享文件夹</p>
<p>mkdir /share/test</p>
<p>2)修改samba的配置文件vi /etc/samba/smb.conf，添加一模块</p>
<p>[myshared]</p>
<p>comment = shared files</p>
<p>path = /share/test</p>
<p>write list = chen</p>
<p>3)设置facl权限</p>
<p>setfacl -m u:chen:rwx /share/test</p>
<p>4)在windows中输入ip地址进行访问，测试是否能打开及其创建或删除目录</p>
<p>5)检查服务器上的共享</p>
<p>smbclient-L server -U username</p>
<p>6)以交互式接入服务器的某共享</p>
<p>smbclient &nbsp;//server/shared -U username</p>
<p><strong>四、samba常用配置文件说明 &nbsp;</strong></p>
<p>1）/etc/samba/smb.conf配置文件</p>
<p>[shared]</p>
<p>comment = #注释信息</p>
<p>path = #需共享的目录路径</p>
<p>read only = #只读</p>
<p>writeable = #可写</p>
<p>public = #是否允许来宾用户账号访问</p>
<p>guest ok = #是否允许来宾账号访问</p>
<p>write list = #写列表可以为系统组和用户</p>
<p>用户名：hadoop, centos</p>
<p>系统组：@groupname, +groupname</p>
<p>2）测试配置文件语法是否错误</p>
<p>testparm</p>
<p>3)挂载cifs文件系统</p>
<p>mount -t cifs //server/shared &nbsp;/path/to/mount_point -o username=smbuser</p>
<p>图示：</p>
<hr />
<br /><strong><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODcvNDkvd0tpb20xZmFXajdScGZVbkFBQXpyRHZ6U3RzMTAwLnBuZw==.jpg" /></strong></p>
<p><strong><br /></strong></p>
<p><strong>五、安装使用GUI方式配置Samba &nbsp;</strong></p>
<p>1）使用yum安装samba-swat包</p>
<p>yum -y install samba-swat</p>
<p>2)配置samba-swat，开启其GUI功能</p>
<pre>service&nbsp;swat
{
&nbsp;&nbsp;&nbsp;&nbsp;port&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=&nbsp;901
&nbsp;&nbsp;&nbsp;&nbsp;socket_type&nbsp;=&nbsp;stream
&nbsp;&nbsp;&nbsp;&nbsp;wait&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=&nbsp;no
&nbsp;&nbsp;&nbsp;&nbsp;only_from&nbsp;&nbsp;&nbsp;=&nbsp;10.1.0.0/16
&nbsp;&nbsp;&nbsp;&nbsp;user&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=&nbsp;root
&nbsp;&nbsp;&nbsp;&nbsp;server&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=&nbsp;/usr/sbin/swat
&nbsp;&nbsp;&nbsp;&nbsp;log_on_failure&nbsp;&nbsp;+=&nbsp;USERID
&nbsp;&nbsp;&nbsp;&nbsp;disable&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;=&nbsp;yes&nbsp;#把yes改为no
}</pre>
<p>3)查看是否开启901端口</p>
<p>图示：</p>
<hr />
<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODcvNDYvd0tpb0wxZmFXQWFDTF9EOEFBQWpCZ016VE5vNjA3LnBuZw==.jpg" /></p>
<p>4)在浏览器中输入ip加端口进行访问</p>
<p>图示：</p>
<hr />
<br /><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODcvNDkvd0tpb20xZmFXT1hnSjlvYUFBQ3Jpejl2a1QwMzY5LnBuZw==.jpg" /></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 07:20:31 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/samba%e6%9c%8d%e5%8a%a1%e7%ae%80%e5%8d%95%e9%85%8d%e7%bd%ae/" title="samba服务简单配置">samba服务简单配置</a>, <a href="https://www.biecuoliao.com/tag/smb-conf/" title="smb&period;conf">smb&period;conf</a>, <a href="https://www.biecuoliao.com/tag/samba-swat/" title="samba-swat">samba-swat</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>如何部署Samba服务的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xjlEr4.html" rel="bookmark">Linux部署Samba服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.安装 二.修改配置 还是先备份一下比较好,毕竟本服务区配置的比较暴力原始配置文件内容配置的比较简单粗暴,不设置任何用户,密码的限制,只设置访问的目录为根目录 三.添加用户 1.添加Linux用户添加samba用户,samba用户必须为Linux用户,否则添加不上 四．重启服务 五.关闭防火墙 成功 原文地址:http://blog.51cto.com/12765384/2173958			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MEBoAQ0.html" rel="bookmark">内网中简单部署samba服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				环境准备: 关闭防火墙 暂时关闭:service iptables stop  禁止开机启动:chkconfig iptables off 关闭seLinux 暂时关闭:setenforce 0 永久关闭:修改配置文件/etc/sysconfig/selinux 中的SELINUX = disabled 建立共享文件目录  例如:mkdir  -p  /samba/public 安装软件包: yum install samba -y 修改配置文件: vim /etc/samba/smb.conf			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0KYnpK4.html" rel="bookmark">Linux下安装部署Samba共享盘的操作手册</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				简述 Samba是在Linux和UNIX系统上实现SMB协议的一个免费软件,由服务器及客户端程序构成.SMB(Server Messages Block,信息服务块)是一种在局域网上共享文件和打印机的一种通信协议,它为局域网内的不同计算机之间提供文件及打印机等资源的共享服务.SMB协议是客户机/服务器型协议,客户机通过该协议可以访问服务器上的共享文件系统.打印机及其他资源.通过设置“NetBIOS over TCP/IP”使得Samba不但能与局域网络主机分享资源,还能与全世界的电脑分享资源.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzOJLk0.html" rel="bookmark">FTP&amp;amp&semi;samba 服务简单部署</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 FTP服务部署 在Linux下,我们应用最广泛的FTP服务程序是 vsftpd (Very Secure FTP Daemon),从名字我们也可以看出,其提供了非常安全的FTP服务.vsftpd 是一个 UNIX 类操作系统上运行的服务器的名字,它可以运行在诸如 Linux, BSD, Solaris, HP-UX 以及 IRIX 上面.它支持很多其他的 FTP 服务器不支持的特征.例如: ① 非常高的安全性需求 ②带宽限制 ③创建虚拟用户的可能性 ④高速 ... 可以说 vsftpd			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPYamn0.html" rel="bookmark">Samba部署共享服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天的学习课程为: Samba部署共享服务接下来让我们了解一下Samba服务程序现在已经成为在Linux系统与Windows系统之间共享文件的最佳选择Samba可以使:Linux---linux之间文件共享,也可以使Linux---windows之间文件共享NFS:网络文件系统:linux---linux之间的简化文件共享服务 .简单记录下搭建过程:一安装yum -y install samba samba-client samba-common二修改配置1.cd /etc/samba/2.备份			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JYXal3.html" rel="bookmark">马哥2016全新Linux&plus;Python高端运维班-Linux服务 DNS，httpd，加密通讯，vsftp，NFS，samba服务练习</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本周作业内容: 1.详细描述一次加密通讯的过程,结合图示最佳. 一次加密通讯的过程: 首先Bob用单向加密的方法提取数据的特征码,用自己的私钥加密这段特征码,并附加到数据的后面. Bob用对称加密算法把数据及特征码整个进行加密. Bob用接收方的公钥加密对称密钥并附加到数据后面. Alice用私钥解密对称密钥. Alice用对称密钥解密出数据及加密的特征码. Alice用发送方的公钥解密特征码,并用相同的算法算出数据的特征码,比较两个特征码是否一致,若一致即可获得Bob的数据. 如图所示: 单向			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ZqZ1Z0.html" rel="bookmark">【中级】RHEL6&period;5下部署samba企业级文件服务器实战</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  1.          实验需求: 1)     使用RPM包安装samba服务 2)     实现匿名访问,验证可以读写文件.目录 3)     实现指定用户的访问 4)     实现指定用户的访问,并为用户赋予不同的权限 5)     实现用户的别名访问,并测试权限 6)     实现对特定的访问地址进行限制 7)     实现访问windows系统中的共享资源 2.          实验环境: Linux服务器系统版本:Red Hat Enterprise Linux 6.5    			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0klmZb3.html" rel="bookmark">部署Samba共享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.           实验步骤及结果 第一阶段                                                         部署Samba共享   Hostname OS IP Software Sambasvr   CentOS-6.3 10.0.0.63 yum install –y samba   关闭防火墙:service iptables stop 配置Samba服务 [[email protected] /]# yum install –y s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVWlmz0.html" rel="bookmark">samba服务：Linux与windows之间的数据共享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				samba服务:Linux与windows之间的数据共享 ----tlinux 安装samba服务 0x01 服务介绍 Samba是一个能让Linux系统应用Microsoft网络通讯协议的软件,而SMB是Server Message Block的缩写,即为服务器消息块 ,SMB主要是作为Microsoft的网络通讯协议,后来Samba将SMB通信协议应用到了Linux系统上,就形成了现在的Samba软件.后来微软又把 SMB 改名为 CIFS(Common Internet File Syst			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NJBl64.html" rel="bookmark" class="title">Android布局文件经验</a>
					<div>
						1.父控件中含有多个子控件时,往往遵循长子优先的原则,即长子如果很大可能占满父空间,使次子们出局: 2.假设TableLayout有2行,其中一行未设定列间长度比例,而另一行设定了,则未设定行可能也会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47NBaY3.html" rel="bookmark" class="title">4D产品（DLG、DEM、DOM、DRG）介绍及区别</a>
					<div>
						4D产品(DLG.DEM.DOM.DRG)是什么? 4D产品是指DRG(数字栅格地图).DLG(数字线化图) .DEM(数字高程模型).DOM(数字正射影像图).4D 复合产品是将4D产品中的任意两种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mz57Yl4.html" rel="bookmark" class="title">爬了个爬（二）性能相关 及 深度优先与广度优先</a>
					<div>
						性能相关 在编写爬虫时,性能的消耗主要在IO请求中,当单进程单线程模式下请求URL时必然会引起等待,从而使得请求整体变慢. import requests def fetch_async(url):  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLjKWQ3.html" rel="bookmark" class="title">数论模板总结 -- 未完待续</a>
					<div>
						// 代码待添加 GCD求最大公约数 扩展GCD求ax + by = c 的解以及判断是否有解 -- 当c为gcd(a,b)的倍数 Eratosthenes's sieve 埃氏筛选法求素数 筛选法求 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgPX2p0.html" rel="bookmark" class="title">1、启动oracle的步骤</a>
					<div>
						1.启动oracle的步骤 Linux下启动oracle分为以下两步: 1.1.启动lsnrctl监听. 1.2.启动数据库实例. 2.启动oracle监听 首先登陆服务器,切换到oracle用户.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35qpzK3.html" rel="bookmark" class="title">课程总结和建议</a>
					<div>
						学习软件工程概论的这半个学期,没有如学习Java那么稳重,没有学C++那么激动.比起后面两个课程的较为平缓的学习,软件工程概论是奋发到颓废到奋发的一个大波浪曲线. 首先说说这近半个学期的学习吧.学习呢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rv97v3.html" rel="bookmark" class="title">MySQL十大优化技巧详解</a>
					<div>
						1.优化你的MySQL查询缓存 在MySQL服务器上进行查询,可以启用高速查询缓存.让数据库引擎在后台悄悄的处理是提高性能的最有效方法之一.当同一个查询被执行多次时,如果结果是从缓存中提取,那是相当快 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dAwv63.html" rel="bookmark" class="title">SemanticException Column xx Found in more than One Tables&sol;Subqueries</a>
					<div>
						执行hiveql时报错: Hive中有两张表中拥有同一个字段名称,在这两个表做关联的时候会报这个错误 将其中一个表的重复字段加上别名,然后进行关联查询 select city.city, hotel. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38wXd20.html" rel="bookmark" class="title">一个用UpdateLayeredWindow实现窗体半透明的delphi的代码</a>
					<div>
						http://www.pudn.com/downloads171/sourcecode/windows/detail791686.html unit Unit1; interface  uses    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41BNXkM.html" rel="bookmark" class="title">mysql集群（主从）</a>
					<div>
						本文主要记录mysql 主从配置. 经典的原理图 0.环境: 采用阿里云ECS服务器,同区同配置,操作系统为ubuntus 14 64位,服务器如下: 服务器A: 内网IP: 10.44.94.219 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QqQLe4.html" rel="bookmark" class="title">第3周</a>
					<div>
						3.1 if语句 else总是和离它最近的if配对. 3.2 switch语句 表达式的值必须是整数类型(int, char...). 常量表达式必须是整数类型的常量(int, char...),不能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXnP9q3.html" rel="bookmark" class="title">乌拉姆数列 Euler167</a>
					<div>
						昨天 yep 问了一个问题: For two positive integers a and b, the Ulam sequence U(a,b) is defined by U(a,b)1 = a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGRGKb4.html" rel="bookmark" class="title">selenium Grid2</a>
					<div>
						一.Selenium Server 环境配置 1.selenium grid的组成与作用:由一个集线器hub和多个客户机node组成,如果你的程序需要在不用的浏览器,不同的操作系统上测试,而且比较多的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4AAVVZ4.html" rel="bookmark" class="title">&lbrack;jsp&rsqb;uedit富文本编辑器的使用</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyQoapM.html" rel="bookmark" class="title">UI开发--响应者链条</a>
					<div>
						一.触摸事件处理的详细过程 用户点击屏幕后产生的一个触摸事件,经过一些列的传递过程后,会找到最合适的视图控件来处理这个事件 找到最合适的视图控件后,就会调用控件的touches方法来作具体的事件处理  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyQAKnM.html" rel="bookmark" class="title">DBA&lowbar;Oracle Erp安装OEM管理监控数据库（案例）（待整理）</a>
					<div>
						2014-12-25 Created By BaoXinjian /u1/VIS/visora/db/tech_st/11.1.0/bin 参考:管世勇 http://blog.sina.com.cn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/471Vok0.html" rel="bookmark" class="title">nefu 640 Number Guessing</a>
					<div>
						题目:大意就是猜数,给定个四位数,然后给出这个数与正确的数之间的比较(#A*B,#代表有#个数字他的值和位置都对了,*代表有*个数的值对了),给出n个上述的4位数,让你确定这个正确的数是多少. 思路: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MobPgn4.html" rel="bookmark" class="title">一些MEL命令</a>
					<div>
						这几天写maya脚本,发现一些新命令: 动画命令 cutKey 剪切某段动画曲线 simplify 简化某段曲线 基本命令 getAttr -size 数组属性名    获得数组属性的元素个数 plu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RkxLj3.html" rel="bookmark" class="title">python 获取文件md5</a>
					<div>
						def GetFileMd5(filename): if not os.path.isfile(filename): return myhash = hashlib.md5() f = file(fi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JjaJD4.html" rel="bookmark" class="title">c&plus;&plus;如何生成随机数</a>
					<div>
						一.使用rand()函数 头文件&lt;stdlib.h&gt; (1)  如果你只要产生随机数而不需要设定范围的话,你只要用rand()就可以了:rand()会返回一随机数值, 范围在0至RAND_ ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.023 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
